Package networkx :: Module queues

[frames | no frames]

## Module networkx.queues

Helper queues for use in graph searching.

> - LIFO: Last in first out queue (stack)
> - FIFO: First in first out queue
> - Priority(fcn): Priority queue with items are sorted by fcn
> - Random: Random queue
> - q.append(item) -- add an item to the queue
> - q.extend(items) -- equivalent to: for item in items: q.append(item)
> - q.pop() -- return the top item from the queue
> - len(q) -- number of items in q (also q.__len())

Classes
`BFS` | Breadth first search queue
`DFS` | Depth first search queue
`FIFO` |
`LIFO` |
`Priority` |
`Random` |
`RFS` | Random search queue

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)'`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Ma...`
`str` | `__revision__` = `'$Revision: 911 $'`

Variable Details

### __author__

  Type:
    `str`
  Value:

        'Aric Hagberg (hagberg@lanl.gov)'

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Mar 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 911 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net